| Home | Libraries | People | FAQ | More

##### ssl::basic_context::use_rsa_private_key_file (1 of 2 overloads)

Use an RSA private key from a file.

    void use_rsa_private_key_file(
        const std::string & filename,
        file_format format);

This function is used to load an RSA private key into the context from a file.

###### Parameters

filename

  The name of the file containing the RSA private key.

format

  The file format (ASN.1 or PEM).

###### Exceptions

boost::system::system_error

  Thrown on failure.